Bug 873948 - Toggling of Workload statistics unclear
Toggling of Workload statistics unclear
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: 2.0
Assigned To: Alex Eng
Ding-Yi Chen
Depends On:
  Show dependency treegraph
Reported: 2012-11-06 23:04 EST by Hedda Peters
Modified: 2013-02-25 22:46 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.0.3-SNAPSHOT (20121119-0019)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-25 22:46:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hedda Peters 2012-11-06 23:04:05 EST
Description of problem:
When clicking on the workload statistics/bar at the top of the editor, the statistic seems to toggle between two slightly different values. However, there is no information explaining why or what those values are based on. 

Version-Release number of selected component (if applicable):

Expected results:
It should be clearer, what those different values are based on.
Comment 1 Alex Eng 2012-11-06 23:28:26 EST
Hedda, as per the option text, the statistic is based on words, or on message.
Comment 2 Hedda Peters 2012-11-06 23:52:44 EST
So how do I know which one I am looking at? 

In the document list:
I see radio buttons "Statistics: By word - By messages". When selecting one or the other the statistics within the document list change. The total workload statistic (the colored bar) on top does NOT change.
When clicking on the workload statistic on top, the percentage value toggles between two values. This does not affect i.e. is not being mirrored by the selected radio buttons mentioned above.

In the editor of a specific document:
I see only the workload statistic (the colored bar) at the top with the percentage value. When clicking on it the value toggles. There is no option text whatsoever to explain which statistic I am looking at.
Comment 3 Alex Eng 2012-11-07 19:21:02 EST
Implemented statistic indicator of which it is based on. 

Comment 4 Ding-Yi Chen 2012-11-08 20:47:16 EST
VERIFIED with Zanata version 2.1-SNAPSHOT (20121109-0034)
Comment 5 Sean Flanigan 2012-11-08 20:58:54 EST
Please test on 2.0.x.
Comment 6 Ding-Yi Chen 2012-11-18 23:00:26 EST
VERIFIED with Zanata version 2.0.3-SNAPSHOT (20121119-0019)

Note You need to log in before you can comment on or make changes to this bug.